package org.apache.maven.simian;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

/**
 * Represents one area in a file containing dupe code.
 * 
 * @author Aslak Hellesoy
 * @version $Revision: 1.3 $
 */
public class DuplicationArea {
    private final int startLine;
    private final int endLine;
    private final String pathToClass;
    private final String className;

    public DuplicationArea(int startLine, int endLine, String pathToClass, String className) {
        this.startLine = startLine;
        this.endLine = endLine;
        this.pathToClass = pathToClass;
        this.className = className;
    }

    public int getStartLine() {
        return startLine;
    }

    public int getEndLine() {
        return endLine;
    }

    public String getPathToClass() {
        return pathToClass;
    }

    public String getClassName() {
        return className;
    }
}
